package wspp;

import java.util.*;

/**
 * @author Nikita Doschennikov (me@fymio.us)
 */
public class WordInfo {

    final String word;
    int firstOccurrence;

    IntList occurrences = new IntList();

    Map<Integer, IntList> lineOccurrences = new HashMap<>();

    public WordInfo(String word) {
        this.word = word;
    }

    public WordInfo(String word, int firstOccurrence) {
        this.word = word;
        this.firstOccurrence = firstOccurrence;
    }
}
